{% load static %}
{% load bootstrap4 %}
<!DOCTYPE html>
<html lang="en">
<head>
    {% bootstrap_css %}
    {% bootstrap_javascript jquery='full' %}
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{% static 'bboard/style.css' %}">
    <title>{% block title %}Главная{% endblock %} - Доска объявлений</title>
</head>
<body>
<header>
    <h1>Объявления</h1>
</header>
<nav>
    <form action="{% url 'search' %}" method="post">
        {% csrf_token %}
        {{ sf.as_p }}
        <input type="submit" value="Search">
    </form>
    <a href="{% url 'index' %}">Главная</a>
    <a href="{% url 'add' %}">Добавить</a>
    {% for rubric in rubrics %}
        <a href="{% url 'by_rubric' rubric_id=rubric.id %}">{{ rubric.name }}</a>
    {% endfor %}
</nav>

{% if messages %}
    {% for message in messages %}
        <div class="alert alert-{{ message.tags }}">
        {% if message.level == DEFAULT_MESSAGE_LEVELS.ERROR %} <!--DEFAULT_MESSAGE_LEVELS это словарь типа {'ERROR': 40...}-->
        Внимание!
        {% endif %} 
            {{ message }}
        </div>
    {% endfor %}
{% endif %}
<section>
    {% block content %}
    {% endblock %}
</section>
</body>
</html>